Name:           mylvmbackup
Version:        0.16
Release:        1%{?dist}
Summary:        Utility for creating MySQL backups via LVM snapshots
License:        GPLv2+
URL:            http://www.lenzg.net/mylvmbackup/
Source0:        http://www.lenzg.net/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-podlators
BuildRequires:  perl(Config::IniFiles)
BuildRequires:  perl(Date::Format)
BuildRequires:  perl(DBD::mysql)
BuildRequires:  perl(DBI)
BuildRequires:  perl(diagnostics)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Copy::Recursive)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(lib)
BuildRequires:  perl(MIME::Lite)
BuildRequires:  perl(strict)
BuildRequires:  perl(Sys::Hostname)
BuildRequires:  perl(Sys::Syslog)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
mylvmbackup is a tool for quickly creating full physical backups of a MySQL 
server's data files. To perform a backup, mylvmbackup obtains a read lock on 
all tables and flushes all server caches to disk, makes an LVM snapshot of 
the volume containing the MySQL data directory, and unlocks the tables again. 
The snapshot process takes only a small amount of time. When it is done, the 
server can continue normal operations, while the actual file backup proceeds.

%prep
%setup -q

%install
%make_install prefix=%{_prefix}
rm -frv %{buildroot}%{_datadir}/%{name}/*

%check
make syntaxcheck

%files
%doc ChangeLog CREDITS README TODO
%license COPYING
%doc hooks/*
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/%{name}.conf

%changelog
* Tue Sep 15 2015 Christopher Meng <rpm@cicku.me> - 0.16-1
- Update to 0.16

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.15-4
- Perl 5.22 rebuild

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.15-3
- Perl 5.20 rebuild

* Mon Jul 14 2014 Christopher Meng <rpm@cicku.me> - 0.15-2
- Add missing BRs
- Fix the license
- Add test to ensure the usability

* Sun Mar 16 2014 Christopher Meng <rpm@cicku.me> - 0.15-1
- Update to 0.15

* Tue Jun 25 2013 Christopher Meng <rpm@cicku.me> - 0.14-1
- Initial Package.
